### Method

# AppStreamCompose Result update_component_gcid

#### Declaration [src]

    gboolean
    asc_result_update_component_gcid (
      AscResult* result,
      AsComponent* cpt,
      GBytes* bytes
    )

#### Description [src]

Update the global component ID for the given component.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to edit.

  The data is owned by the caller of the method.

`bytes`

  Type: `GBytes`

  The data to include in the global component ID, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the component existed and was updated.